Bullet Collision Detection & Physics Library: btWorldImporter Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
btWorldImporter Class Reference

`#include <btWorldImporter.h>`

Inheritance diagram for btWorldImporter:
[legend]
Collaboration diagram for btWorldImporter:
[legend]

## Public Member Functions
| btWorldImporter (btDynamicsWorld *world)
virtual | ~btWorldImporter ()
virtual void | deleteAllData ()
| delete all memory collision shapes, rigid bodies, constraints etc. More...
void | setVerboseMode (int verboseMode)
int | getVerboseMode () const
int | getNumCollisionShapes () const
btCollisionShape * | getCollisionShapeByIndex (int index)
int | getNumRigidBodies () const
btCollisionObject * | getRigidBodyByIndex (int index) const
int | getNumConstraints () const
btTypedConstraint * | getConstraintByIndex (int index) const
int | getNumBvhs () const
btOptimizedBvh * | getBvhByIndex (int index) const
int | getNumTriangleInfoMaps () const
btTriangleInfoMap * | getTriangleInfoMapByIndex (int index) const
btCollisionShape * | getCollisionShapeByName (const char *name)
btRigidBody * | getRigidBodyByName (const char *name)
btTypedConstraint * | getConstraintByName (const char *name)
const char * | getNameForPointer (const void *ptr) const
virtual void | setDynamicsWorldInfo (const btVector3 &gravity, const btContactSolverInfo &solverInfo)
| those virtuals are called by load and can be overridden by the user More...
virtual btRigidBody * | createRigidBody (bool isDynamic, btScalar mass, const btTransform &startTransform, btCollisionShape *shape, const char *bodyName)
virtual btCollisionObject * | createCollisionObject (const btTransform &startTransform, btCollisionShape *shape, const char *bodyName)
virtual btCollisionShape * | createPlaneShape (const btVector3 &planeNormal, btScalar planeConstant)
| shapes More...
virtual btCollisionShape * | createBoxShape (const btVector3 &halfExtents)
virtual btCollisionShape * | createSphereShape (btScalar radius)
virtual btCollisionShape * | createCapsuleShapeX (btScalar radius, btScalar height)
virtual btCollisionShape * | createCapsuleShapeY (btScalar radius, btScalar height)
virtual btCollisionShape * | createCapsuleShapeZ (btScalar radius, btScalar height)
virtual btCollisionShape * | createCylinderShapeX (btScalar radius, btScalar height)
virtual btCollisionShape * | createCylinderShapeY (btScalar radius, btScalar height)
virtual btCollisionShape * | createCylinderShapeZ (btScalar radius, btScalar height)
virtual btCollisionShape * | createConeShapeX (btScalar radius, btScalar height)
virtual btCollisionShape * | createConeShapeY (btScalar radius, btScalar height)
virtual btCollisionShape * | createConeShapeZ (btScalar radius, btScalar height)
virtual class btTriangleIndexVertexArray * | createTriangleMeshContainer ()
virtual btBvhTriangleMeshShape * | createBvhTriangleMeshShape (btStridingMeshInterface *trimesh, btOptimizedBvh *bvh)
virtual btCollisionShape * | createConvexTriangleMeshShape (btStridingMeshInterface *trimesh)
virtual btGImpactMeshShape * | createGimpactShape (btStridingMeshInterface *trimesh)
virtual btStridingMeshInterfaceData * | createStridingMeshInterfaceData (btStridingMeshInterfaceData *interfaceData)
virtual class btConvexHullShape * | createConvexHullShape ()
virtual class btCompoundShape * | createCompoundShape ()
virtual class btScaledBvhTriangleMeshShape * | createScaledTrangleMeshShape (btBvhTriangleMeshShape *meshShape, const btVector3 &localScalingbtBvhTriangleMeshShape)
virtual class btMultiSphereShape * | createMultiSphereShape (const btVector3 *positions, const btScalar *radi, int numSpheres)
virtual btTriangleIndexVertexArray * | createMeshInterface (btStridingMeshInterfaceData &meshData)
virtual btOptimizedBvh * | createOptimizedBvh ()
| acceleration and connectivity structures More...
virtual btTriangleInfoMap * | createTriangleInfoMap ()
virtual btPoint2PointConstraint * | createPoint2PointConstraint (btRigidBody &rbA, btRigidBody &rbB, const btVector3 &pivotInA, const btVector3 &pivotInB)
| constraints More...
virtual btPoint2PointConstraint * | createPoint2PointConstraint (btRigidBody &rbA, const btVector3 &pivotInA)
virtual btHingeConstraint * | createHingeConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &rbAFrame, const btTransform &rbBFrame, bool useReferenceFrameA=false)
virtual btHingeConstraint * | createHingeConstraint (btRigidBody &rbA, const btTransform &rbAFrame, bool useReferenceFrameA=false)
virtual btConeTwistConstraint * | createConeTwistConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &rbAFrame, const btTransform &rbBFrame)
virtual btConeTwistConstraint * | createConeTwistConstraint (btRigidBody &rbA, const btTransform &rbAFrame)
virtual btGeneric6DofConstraint * | createGeneric6DofConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, bool useLinearReferenceFrameA)
virtual btGeneric6DofConstraint * | createGeneric6DofConstraint (btRigidBody &rbB, const btTransform &frameInB, bool useLinearReferenceFrameB)
virtual btGeneric6DofSpringConstraint * | createGeneric6DofSpringConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, bool useLinearReferenceFrameA)
virtual btGeneric6DofSpring2Constraint * | createGeneric6DofSpring2Constraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, int rotateOrder)
virtual btSliderConstraint * | createSliderConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, bool useLinearReferenceFrameA)
virtual btSliderConstraint * | createSliderConstraint (btRigidBody &rbB, const btTransform &frameInB, bool useLinearReferenceFrameA)
virtual btGearConstraint * | createGearConstraint (btRigidBody &rbA, btRigidBody &rbB, const btVector3 &axisInA, const btVector3 &axisInB, btScalar ratio)

## Protected Member Functions
char * | duplicateName (const char *name)
btCollisionShape * | convertCollisionShape (btCollisionShapeData *shapeData)
void | convertConstraintBackwardsCompatible281 (btTypedConstraintData *constraintData, btRigidBody *rbA, btRigidBody *rbB, int fileVersion)
void | convertConstraintFloat (btTypedConstraintFloatData *constraintData, btRigidBody *rbA, btRigidBody *rbB, int fileVersion)
void | convertConstraintDouble (btTypedConstraintDoubleData *constraintData, btRigidBody *rbA, btRigidBody *rbB, int fileVersion)
void | convertRigidBodyFloat (btRigidBodyFloatData *colObjData)
void | convertRigidBodyDouble (btRigidBodyDoubleData *colObjData)

## Static Protected Member Functions
static btRigidBody & | getFixedBody ()

## Protected Attributes
btDynamicsWorld * | m_dynamicsWorld
int | m_verboseMode
btAlignedObjectArray< btCollisionShape * > | m_allocatedCollisionShapes
btAlignedObjectArray< btCollisionObject * > | m_allocatedRigidBodies
btAlignedObjectArray< btTypedConstraint * > | m_allocatedConstraints
btAlignedObjectArray< btOptimizedBvh * > | m_allocatedBvhs
btAlignedObjectArray< btTriangleInfoMap * > | m_allocatedTriangleInfoMaps
btAlignedObjectArray< btTriangleIndexVertexArray * > | m_allocatedTriangleIndexArrays
btAlignedObjectArray< btStridingMeshInterfaceData * > | m_allocatedbtStridingMeshInterfaceDatas
btAlignedObjectArray< char * > | m_allocatedNames
btAlignedObjectArray< int * > | m_indexArrays
btAlignedObjectArray< short int * > | m_shortIndexArrays
btAlignedObjectArray< unsigned char * > | m_charIndexArrays
btAlignedObjectArray< btVector3FloatData * > | m_floatVertexArrays
btAlignedObjectArray< btVector3DoubleData * > | m_doubleVertexArrays
btHashMap< btHashPtr, btOptimizedBvh * > | m_bvhMap
btHashMap< btHashPtr, btTriangleInfoMap * > | m_timMap
btHashMap< btHashString, btCollisionShape * > | m_nameShapeMap
btHashMap< btHashString, btRigidBody * > | m_nameBodyMap
btHashMap< btHashString, btTypedConstraint * > | m_nameConstraintMap
btHashMap< btHashPtr, const char * > | m_objectNameMap
btHashMap< btHashPtr, btCollisionShape * > | m_shapeMap
btHashMap< btHashPtr, btCollisionObject * > | m_bodyMap

## Detailed Description

Definition at line 63 of file btWorldImporter.h.

## Constructor & Destructor Documentation

## § btWorldImporter()

btWorldImporter::btWorldImporter | ( | btDynamicsWorld * | world | ) |

Definition at line 21 of file btWorldImporter.cpp.

## § ~btWorldImporter()

btWorldImporter::~btWorldImporter | ( |  | ) |
| virtual

Definition at line 28 of file btWorldImporter.cpp.

## Member Function Documentation

## § convertCollisionShape()

btCollisionShape * btWorldImporter::convertCollisionShape | ( | btCollisionShapeData * | shapeData | ) |
| protected

Definition at line 149 of file btWorldImporter.cpp.

## § convertConstraintBackwardsCompatible281()

void btWorldImporter::convertConstraintBackwardsCompatible281 | ( | btTypedConstraintData * | constraintData,
|  | btRigidBody * | rbA,
|  | btRigidBody * | rbB,
|  | int | fileVersion
| ) |  |
| protected

those fields didn't exist and set to zero for pre-280 versions, so do a check here

Definition at line 531 of file btWorldImporter.cpp.

## § convertConstraintDouble()

void btWorldImporter::convertConstraintDouble | ( | btTypedConstraintDoubleData * | constraintData,
|  | btRigidBody * | rbA,
|  | btRigidBody * | rbB,
|  | int | fileVersion
| ) |  |
| protected

those fields didn't exist and set to zero for pre-280 versions, so do a check here

Definition at line 1080 of file btWorldImporter.cpp.

## § convertConstraintFloat()

void btWorldImporter::convertConstraintFloat | ( | btTypedConstraintFloatData * | constraintData,
|  | btRigidBody * | rbA,
|  | btRigidBody * | rbB,
|  | int | fileVersion
| ) |  |
| protected

those fields didn't exist and set to zero for pre-280 versions, so do a check here

Definition at line 752 of file btWorldImporter.cpp.

## § convertRigidBodyDouble()

void btWorldImporter::convertRigidBodyDouble | ( | btRigidBodyDoubleData * | colObjData | ) |
| protected

Definition at line 2077 of file btWorldImporter.cpp.

## § convertRigidBodyFloat()

void btWorldImporter::convertRigidBodyFloat | ( | btRigidBodyFloatData * | colObjData | ) |
| protected

Definition at line 2028 of file btWorldImporter.cpp.

## § createBoxShape()

btCollisionShape * btWorldImporter::createBoxShape | ( | const btVector3 & | halfExtents | ) |
| virtual

Definition at line 1678 of file btWorldImporter.cpp.

## § createBvhTriangleMeshShape()

btBvhTriangleMeshShape * btWorldImporter::createBvhTriangleMeshShape | ( | btStridingMeshInterface * | trimesh,
|  | btOptimizedBvh * | bvh
| ) |  |
| virtual

Definition at line 1777 of file btWorldImporter.cpp.

## § createCapsuleShapeX()

btCollisionShape * btWorldImporter::createCapsuleShapeX | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1692 of file btWorldImporter.cpp.

## § createCapsuleShapeY()

btCollisionShape * btWorldImporter::createCapsuleShapeY | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1699 of file btWorldImporter.cpp.

## § createCapsuleShapeZ()

btCollisionShape * btWorldImporter::createCapsuleShapeZ | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1706 of file btWorldImporter.cpp.

## § createCollisionObject()

btCollisionObject * btWorldImporter::createCollisionObject | ( | const btTransform & | startTransform,
|  | btCollisionShape * | shape,
|  | const char * | bodyName
| ) |  |
| virtual

Definition at line 1632 of file btWorldImporter.cpp.

## § createCompoundShape()

btCompoundShape * btWorldImporter::createCompoundShape | ( |  | ) |
| virtual

Definition at line 1814 of file btWorldImporter.cpp.

## § createConeShapeX()

btCollisionShape * btWorldImporter::createConeShapeX | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1734 of file btWorldImporter.cpp.

## § createConeShapeY()

btCollisionShape * btWorldImporter::createConeShapeY | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1741 of file btWorldImporter.cpp.

## § createConeShapeZ()

btCollisionShape * btWorldImporter::createConeShapeZ | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1748 of file btWorldImporter.cpp.

## § createConeTwistConstraint() [1/2]

btConeTwistConstraint * btWorldImporter::createConeTwistConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | rbAFrame,
|  | const btTransform & | rbBFrame
| ) |  |
| virtual

Definition at line 1872 of file btWorldImporter.cpp.

## § createConeTwistConstraint() [2/2]

btConeTwistConstraint * btWorldImporter::createConeTwistConstraint | ( | btRigidBody & | rbA,
|  | const btTransform & | rbAFrame
| ) |  |
| virtual

Definition at line 1879 of file btWorldImporter.cpp.

## § createConvexHullShape()

btConvexHullShape * btWorldImporter::createConvexHullShape | ( |  | ) |
| virtual

Definition at line 1807 of file btWorldImporter.cpp.

## § createConvexTriangleMeshShape()

btCollisionShape * btWorldImporter::createConvexTriangleMeshShape | ( | btStridingMeshInterface * | trimesh | ) |
| virtual

Definition at line 1792 of file btWorldImporter.cpp.

## § createCylinderShapeX()

btCollisionShape * btWorldImporter::createCylinderShapeX | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1713 of file btWorldImporter.cpp.

## § createCylinderShapeY()

btCollisionShape * btWorldImporter::createCylinderShapeY | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1720 of file btWorldImporter.cpp.

## § createCylinderShapeZ()

btCollisionShape * btWorldImporter::createCylinderShapeZ | ( | btScalar | radius,
|  | btScalar | height
| ) |  |
| virtual

Definition at line 1727 of file btWorldImporter.cpp.

## § createGearConstraint()

btGearConstraint * btWorldImporter::createGearConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btVector3 & | axisInA,
|  | const btVector3 & | axisInB,
|  | btScalar | ratio
| ) |  |
| virtual

Definition at line 1932 of file btWorldImporter.cpp.

## § createGeneric6DofConstraint() [1/2]

btGeneric6DofConstraint * btWorldImporter::createGeneric6DofConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |
| virtual

Definition at line 1887 of file btWorldImporter.cpp.

## § createGeneric6DofConstraint() [2/2]

btGeneric6DofConstraint * btWorldImporter::createGeneric6DofConstraint | ( | btRigidBody & | rbB,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameB
| ) |  |
| virtual

Definition at line 1894 of file btWorldImporter.cpp.

## § createGeneric6DofSpring2Constraint()

btGeneric6DofSpring2Constraint * btWorldImporter::createGeneric6DofSpring2Constraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | int | rotateOrder
| ) |  |
| virtual

Definition at line 1901 of file btWorldImporter.cpp.

## § createGeneric6DofSpringConstraint()

btGeneric6DofSpringConstraint * btWorldImporter::createGeneric6DofSpringConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |
| virtual

Definition at line 1910 of file btWorldImporter.cpp.

## § createGimpactShape()

btGImpactMeshShape * btWorldImporter::createGimpactShape | ( | btStridingMeshInterface * | trimesh | ) |
| virtual

Definition at line 1796 of file btWorldImporter.cpp.

## § createHingeConstraint() [1/2]

btHingeConstraint * btWorldImporter::createHingeConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | rbAFrame,
|  | const btTransform & | rbBFrame,
|  | bool | useReferenceFrameA = `false`
| ) |  |
| virtual

Definition at line 1858 of file btWorldImporter.cpp.

## § createHingeConstraint() [2/2]

btHingeConstraint * btWorldImporter::createHingeConstraint | ( | btRigidBody & | rbA,
|  | const btTransform & | rbAFrame,
|  | bool | useReferenceFrameA = `false`
| ) |  |
| virtual

Definition at line 1865 of file btWorldImporter.cpp.

## § createMeshInterface()

btTriangleIndexVertexArray * btWorldImporter::createMeshInterface | ( | btStridingMeshInterfaceData & | meshData | ) |
| virtual

Definition at line 1418 of file btWorldImporter.cpp.

## § createMultiSphereShape()

btMultiSphereShape * btWorldImporter::createMultiSphereShape | ( | const btVector3 * | positions,
|  | const btScalar * | radi,
|  | int | numSpheres
| ) |  |
| virtual

Definition at line 1829 of file btWorldImporter.cpp.

## § createOptimizedBvh()

btOptimizedBvh * btWorldImporter::createOptimizedBvh | ( |  | ) |
| virtual

acceleration and connectivity structures

Definition at line 1762 of file btWorldImporter.cpp.

## § createPlaneShape()

btCollisionShape * btWorldImporter::createPlaneShape | ( | const btVector3 & | planeNormal,
|  | btScalar | planeConstant
| ) |  |
| virtual

shapes

Definition at line 1672 of file btWorldImporter.cpp.

## § createPoint2PointConstraint() [1/2]

btPoint2PointConstraint * btWorldImporter::createPoint2PointConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btVector3 & | pivotInA,
|  | const btVector3 & | pivotInB
| ) |  |
| virtual

constraints

Definition at line 1843 of file btWorldImporter.cpp.

## § createPoint2PointConstraint() [2/2]

btPoint2PointConstraint * btWorldImporter::createPoint2PointConstraint | ( | btRigidBody & | rbA,
|  | const btVector3 & | pivotInA
| ) |  |
| virtual

Definition at line 1850 of file btWorldImporter.cpp.

## § createRigidBody()

btRigidBody * btWorldImporter::createRigidBody | ( | bool | isDynamic,
|  | btScalar | mass,
|  | const btTransform & | startTransform,
|  | btCollisionShape * | shape,
|  | const char * | bodyName
| ) |  |
| virtual

Definition at line 1647 of file btWorldImporter.cpp.

## § createScaledTrangleMeshShape()

btScaledBvhTriangleMeshShape * btWorldImporter::createScaledTrangleMeshShape | ( | btBvhTriangleMeshShape * | meshShape,
|  | const btVector3 & | localScalingbtBvhTriangleMeshShape
| ) |  |
| virtual

Definition at line 1822 of file btWorldImporter.cpp.

## § createSliderConstraint() [1/2]

btSliderConstraint * btWorldImporter::createSliderConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |
| virtual

Definition at line 1918 of file btWorldImporter.cpp.

## § createSliderConstraint() [2/2]

btSliderConstraint * btWorldImporter::createSliderConstraint | ( | btRigidBody & | rbB,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |
| virtual

Definition at line 1925 of file btWorldImporter.cpp.

## § createSphereShape()

btCollisionShape * btWorldImporter::createSphereShape | ( | btScalar | radius | ) |
| virtual

Definition at line 1684 of file btWorldImporter.cpp.

## § createStridingMeshInterfaceData()

btStridingMeshInterfaceData * btWorldImporter::createStridingMeshInterfaceData | ( | btStridingMeshInterfaceData * | interfaceData | ) |
| virtual

the m_3indices8 was not initialized in some Bullet versions, this can cause crashes at loading time we catch it by only dealing with m_3indices8 if none of the other indices are initialized

Definition at line 1536 of file btWorldImporter.cpp.

## § createTriangleInfoMap()

btTriangleInfoMap * btWorldImporter::createTriangleInfoMap | ( |  | ) |
| virtual

Definition at line 1770 of file btWorldImporter.cpp.

## § createTriangleMeshContainer()

btTriangleIndexVertexArray * btWorldImporter::createTriangleMeshContainer | ( |  | ) |
| virtual

Definition at line 1755 of file btWorldImporter.cpp.

## § deleteAllData()

void btWorldImporter::deleteAllData | ( |  | ) |
| virtual

delete all memory collision shapes, rigid bodies, constraints etc.

allocated during the load. make sure you don't use the dynamics world containing objects after you call this method

Definition at line 32 of file btWorldImporter.cpp.

## § duplicateName()

char * btWorldImporter::duplicateName | ( | const char * | name | ) |
| protected

Definition at line 517 of file btWorldImporter.cpp.

## § getBvhByIndex()

btOptimizedBvh * btWorldImporter::getBvhByIndex | ( | int | index | ) | const

Definition at line 2012 of file btWorldImporter.cpp.

## § getCollisionShapeByIndex()

btCollisionShape * btWorldImporter::getCollisionShapeByIndex | ( | int | index | ) |

Definition at line 1945 of file btWorldImporter.cpp.

## § getCollisionShapeByName()

btCollisionShape * btWorldImporter::getCollisionShapeByName | ( | const char * | name | ) |

Definition at line 1950 of file btWorldImporter.cpp.

## § getConstraintByIndex()

btTypedConstraint * btWorldImporter::getConstraintByIndex | ( | int | index | ) | const

Definition at line 2003 of file btWorldImporter.cpp.

## § getConstraintByName()

btTypedConstraint * btWorldImporter::getConstraintByName | ( | const char * | name | ) |

Definition at line 1970 of file btWorldImporter.cpp.

## § getFixedBody()

btRigidBody & btWorldImporter::getFixedBody | ( |  | ) |
| staticprotected

Definition at line 1836 of file btWorldImporter.cpp.

## § getNameForPointer()

const char * btWorldImporter::getNameForPointer | ( | const void * | ptr | ) | const

Definition at line 1980 of file btWorldImporter.cpp.

## § getNumBvhs()

int btWorldImporter::getNumBvhs | ( |  | ) | const

Definition at line 2008 of file btWorldImporter.cpp.

## § getNumCollisionShapes()

int btWorldImporter::getNumCollisionShapes | ( |  | ) | const

Definition at line 1940 of file btWorldImporter.cpp.

## § getNumConstraints()

int btWorldImporter::getNumConstraints | ( |  | ) | const

Definition at line 1998 of file btWorldImporter.cpp.

## § getNumRigidBodies()

int btWorldImporter::getNumRigidBodies | ( |  | ) | const

Definition at line 1989 of file btWorldImporter.cpp.

## § getNumTriangleInfoMaps()

int btWorldImporter::getNumTriangleInfoMaps | ( |  | ) | const

Definition at line 2017 of file btWorldImporter.cpp.

## § getRigidBodyByIndex()

btCollisionObject * btWorldImporter::getRigidBodyByIndex | ( | int | index | ) | const

Definition at line 1994 of file btWorldImporter.cpp.

## § getRigidBodyByName()

btRigidBody * btWorldImporter::getRigidBodyByName | ( | const char * | name | ) |

Definition at line 1960 of file btWorldImporter.cpp.

## § getTriangleInfoMapByIndex()

btTriangleInfoMap * btWorldImporter::getTriangleInfoMapByIndex | ( | int | index | ) | const

Definition at line 2022 of file btWorldImporter.cpp.

## § getVerboseMode()

int btWorldImporter::getVerboseMode | ( |  | ) | const
| inline

Definition at line 129 of file btWorldImporter.h.

## § setDynamicsWorldInfo()

void btWorldImporter::setDynamicsWorldInfo | ( | const btVector3 & | gravity,
|  | const btContactSolverInfo & | solverInfo
| ) |  |
| virtual

those virtuals are called by load and can be overridden by the user

Definition at line 1637 of file btWorldImporter.cpp.

## § setVerboseMode()

void btWorldImporter::setVerboseMode | ( | int | verboseMode | ) |
| inline

Definition at line 124 of file btWorldImporter.h.

## Member Data Documentation

## § m_allocatedbtStridingMeshInterfaceDatas

btAlignedObjectArray<btStridingMeshInterfaceData*> btWorldImporter::m_allocatedbtStridingMeshInterfaceDatas
| protected

Definition at line 76 of file btWorldImporter.h.

## § m_allocatedBvhs

btAlignedObjectArray<btOptimizedBvh*> btWorldImporter::m_allocatedBvhs
| protected

Definition at line 73 of file btWorldImporter.h.

## § m_allocatedCollisionShapes

btAlignedObjectArray<btCollisionShape*> btWorldImporter::m_allocatedCollisionShapes
| protected

Definition at line 70 of file btWorldImporter.h.

## § m_allocatedConstraints

btAlignedObjectArray<btTypedConstraint*> btWorldImporter::m_allocatedConstraints
| protected

Definition at line 72 of file btWorldImporter.h.

## § m_allocatedNames

btAlignedObjectArray<char*> btWorldImporter::m_allocatedNames
| protected

Definition at line 78 of file btWorldImporter.h.

## § m_allocatedRigidBodies

btAlignedObjectArray<btCollisionObject*> btWorldImporter::m_allocatedRigidBodies
| protected

Definition at line 71 of file btWorldImporter.h.

## § m_allocatedTriangleIndexArrays

btAlignedObjectArray<btTriangleIndexVertexArray*> btWorldImporter::m_allocatedTriangleIndexArrays
| protected

Definition at line 75 of file btWorldImporter.h.

## § m_allocatedTriangleInfoMaps

btAlignedObjectArray<btTriangleInfoMap*> btWorldImporter::m_allocatedTriangleInfoMaps
| protected

Definition at line 74 of file btWorldImporter.h.

## § m_bodyMap

btHashMap<btHashPtr,btCollisionObject*> btWorldImporter::m_bodyMap
| protected

Definition at line 97 of file btWorldImporter.h.

## § m_bvhMap

btHashMap<btHashPtr,btOptimizedBvh*> btWorldImporter::m_bvhMap
| protected

Definition at line 88 of file btWorldImporter.h.

## § m_charIndexArrays

btAlignedObjectArray<unsigned char*> btWorldImporter::m_charIndexArrays
| protected

Definition at line 82 of file btWorldImporter.h.

## § m_doubleVertexArrays

btAlignedObjectArray<btVector3DoubleData*> btWorldImporter::m_doubleVertexArrays
| protected

Definition at line 85 of file btWorldImporter.h.

## § m_dynamicsWorld

btDynamicsWorld* btWorldImporter::m_dynamicsWorld
| protected

Definition at line 66 of file btWorldImporter.h.

## § m_floatVertexArrays

btAlignedObjectArray<btVector3FloatData*> btWorldImporter::m_floatVertexArrays
| protected

Definition at line 84 of file btWorldImporter.h.

## § m_indexArrays

btAlignedObjectArray<int*> btWorldImporter::m_indexArrays
| protected

Definition at line 80 of file btWorldImporter.h.

## § m_nameBodyMap

btHashMap<btHashString,btRigidBody*> btWorldImporter::m_nameBodyMap
| protected

Definition at line 92 of file btWorldImporter.h.

## § m_nameConstraintMap

btHashMap<btHashString,btTypedConstraint*> btWorldImporter::m_nameConstraintMap
| protected

Definition at line 93 of file btWorldImporter.h.

## § m_nameShapeMap

btHashMap<btHashString,btCollisionShape*> btWorldImporter::m_nameShapeMap
| protected

Definition at line 91 of file btWorldImporter.h.

## § m_objectNameMap

btHashMap<btHashPtr,const char*> btWorldImporter::m_objectNameMap
| protected

Definition at line 94 of file btWorldImporter.h.

## § m_shapeMap

btHashMap<btHashPtr,btCollisionShape*> btWorldImporter::m_shapeMap
| protected

Definition at line 96 of file btWorldImporter.h.

## § m_shortIndexArrays

btAlignedObjectArray<short int*> btWorldImporter::m_shortIndexArrays
| protected

Definition at line 81 of file btWorldImporter.h.

## § m_timMap

btHashMap<btHashPtr,btTriangleInfoMap*> btWorldImporter::m_timMap
| protected

Definition at line 89 of file btWorldImporter.h.

## § m_verboseMode

int btWorldImporter::m_verboseMode
| protected

Definition at line 68 of file btWorldImporter.h.

The documentation for this class was generated from the following files:

- btWorldImporter.h
- btWorldImporter.cpp